- 不能在这里指派
tenant_owner角色 —— 转让所有权仍然只能在控制台完成(400) - 不能修改 Owner 自己的角色(
409) - 调用方密钥不能修改其创建者的角色 —— 自我降权会在运行途中切断自动化任务自身的授权(
409)
所需权限:
member:change_role路径参数
请求头
string
可选。用相同的值重试会重放第一次的结果。
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X PATCH 'https://app.memorylake.cn/openapi/memorylake/admin/v1/members/9f2c1a7b3d5e4f60a1b2c3d4e5f60718' \
-H 'Authorization: Bearer sk-xxxxxx' \
-H 'Content-Type: application/json' \
-d '{"role": "tenant_admin"}'
{
"success": true,
"message": "Operation completed successfully",
"data": {}
}
{
"success": false,
"message": "cannot change the owner's role",
"error_code": "STATE_NOT_READY"
}
修改某位成员的角色
curl -X PATCH 'https://app.memorylake.cn/openapi/memorylake/admin/v1/members/9f2c1a7b3d5e4f60a1b2c3d4e5f60718' \
-H 'Authorization: Bearer sk-xxxxxx' \
-H 'Content-Type: application/json' \
-d '{"role": "tenant_admin"}'
{
"success": true,
"message": "Operation completed successfully",
"data": {}
}
{
"success": false,
"message": "cannot change the owner's role",
"error_code": "STATE_NOT_READY"
}
PATCH /openapi/memorylake/admin/v1/members/{principal_id}
tenant_owner 角色 —— 转让所有权仍然只能在控制台完成(400)409)409)member:change_rolecurl -X PATCH 'https://app.memorylake.cn/openapi/memorylake/admin/v1/members/9f2c1a7b3d5e4f60a1b2c3d4e5f60718' \
-H 'Authorization: Bearer sk-xxxxxx' \
-H 'Content-Type: application/json' \
-d '{"role": "tenant_admin"}'
{
"success": true,
"message": "Operation completed successfully",
"data": {}
}
{
"success": false,
"message": "cannot change the owner's role",
"error_code": "STATE_NOT_READY"
}